Show / Hide Table of Contents

# Enum LoginState

Specifies the state of the client's login status.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum LoginState : byte

### Fields

Name | Description
--- | ---
LoggedIn | The client is currently logged in.
LoggedOut | The client is currently logged out.
LoggingIn | The client is currently logging in.
LoggingOut | The client is currently logging out.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()